#!/bin/bash
cargo build --release || exit

perf stat -r 5 --table -o target/benchmark.log ./target/release/opentally stv tests/data/raw/VIC2022.bin --bin --round-votes 0 --round-quota 0 --quota droop --quota-criterion geq --ties backwards random --random-seed 20210727 --surplus uig --surplus-order by_order --exclusion by_value --pp-decimals 0 $@

cat target/benchmark.log
git describe --always --dirty=-dev | tee -a target/benchmark.log
